Установка Oracle Java 6, 7, 8 в Ubuntu 12.04 — 14.04 (из репозитория)

В этой статье я расскажу, как установить Java 6, 7, 8 от компании Oracle наиболее простым способом из репозитория.

Внимание!!
Если у Вас не получается установить Oracle Java в Ubuntu из репозитория, описанным ниже способом, то можно установить Java в ручную. Воспользуйтесь следующей моей статьей:

Установка Oracle Java 6, 7, 8 в Ubuntu из репозитория

В этом репозитории находятся пакеты Oracle Java SE, включают в себя JDK, JRE и плагин Java для браузера (то есть полный боевой комплект).

Приступим к установке:
1. Для начала добавляем репозиторий в систему, откройте терминал и выполните следующую команду:

sudo add-apt-repository ppa:webupd8team/java
2. Затем обновляем информацию о пакетах:
sudo apt-get update

Хочу заметить, что предпочтительней устанавливать самую последнюю стабильную версию - Oracle Java 8.

Для установки Oracle Java 7 выполните команду в терминале:
sudo apt-get install oracle-java7-installer
Чтобы установить последнюю версию Oracle Java 6, выполните команду в терминале:
sudo apt-get install oracle-java6-installer
Чтобы установить последнюю версию Oracle Java 8, выполните команду в терминале:
sudo apt-get install oracle-java8-installer
Внимание!
Во время установки, потребуется принять лицензионные соглашения от компании Oracle, только после этого начнется установка.

Чтобы убедиться, что Oracle Java 7 установлена, выполняем знакомую команду в терминале:

java -version

Должно быть:

java version "1.7.0_25"
Java(TM) SE Runtime Environment (build 1.7.0_25-b15)
Java HotSpot(TM) Server VM (build 23.25-b01, mixed mode)
Для других версий аналогично, только вместо 1.7, будет 1.8 или 1.6.

А также, проверяем версию компилятора Javaс, для этого выполняем команду:

javac -version 
Должно быть:

javac 1.7.0_25
Внимание! Версии javac и java должны совпадать!

Что делать, если вы хотите несколько версий Java в системе?

Для этого есть команды. Можете спокойно устанавливать несколько версий.
Чтобы пользоваться нужной вам версией по умолчанию, Вам нужно выполнить следующую команду в терминале:
Например, для установки Oracle Java 7 по умолчанию:
sudo update-java-alternatives -s java-7-oracle
Для других версий аналогично, просто меняем цифру версии.

Также, можно удалить остальные версии Java, оставив одну.

Следующая команда удаляет все остальные версии Oracle Java из системы, кроме 7-ой версии:

sudo apt-get install oracle-java7-set-default

Удаление пакета Java Oracle.

Если Вы больше не хотите пользоваться Java от Oracle, и захотите установить openjdk, например, воспользуйтесь следующей инструкцией.
Чтобы удалить
Oracle Java 7 из системы, выполните в терминале команду
sudo apt-get remove oracle-java7-installer

С остальными версиями аналогично, меняем цифру.

Установка плагина Oracle Java в браузере.

Chrome начиная с версии 34 выпилил NPAPI плагины, поэтому остается пользоваться только Firefox.
После установки из репозитория должен работать java плагин в браузере. Но если не работает, то проделайте следующие действия
Чтобы работал Java плагин в Firefox на Ubuntu:

В данных терминальных командах, что ниже, нужно заменить

/usr/lib/jvm/jdk1.7.0/jre/

На путь до каталога jre в вашей системе, посмотрите в Наутилусе и скопируйте.

Для 32 битной системы создаем символическую ссылку, вводим в терминале:
sudo ln -s /usr/lib/jvm/jdk1.7.0/jre/lib/amd64/libnpjp2.so /usr/lib/mozilla/plugins

Для 64 битной системы создаем символическую ссылку, вводим в терминале:
sudo ln -s /usr/lib/jvm/jdk1.7.0/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins

Если у Вас Google Chrome версии до 35ой, то java плагин будет работать в браузере после описанных выше действий.
Проверка плагина Oracle Java в Google Chrome (до 35-ой версии) и FireFox.Простая проверка, заходим на сайт:

И на этой страничке будет отображена версия Java плагина, вот здесь:

На этом установка Oracle Java в Ubuntu закончена.

Источник: Java
  • https://www.blogger.com/profile/17849930116307590664 Вадим Волос

    javaс выдает ошибку:

    v@11:~$ javaс -version
    Команда 'javaс' не найдена, но есть 18 похожих
    javaс: команда не найдена

    v@11:~$ sudo update-java-alternatives -s java-7-oracle
    update-alternatives: ошибка: нет альтернатив для mozilla-javaplugin.so
    update-alternatives: ошибка: нет альтернатив для xulrunner-1.9-javaplugin.so
    update-alternatives: ошибка: альтернатива /usr/lib/jvm/java-7-oracle/jre/bin/jexec для jexec не зарегистрирована; не выбирается
    update-alternatives: ошибка: нет альтернатив для mozilla-javaplugin.so
    update-alternatives: ошибка: нет альтернатив для xulrunner-1.9-javaplugin.so

    • https://www.blogger.com/profile/00865845114198842309 Администратор

      У меня в статье ошибка была, буква "с" русская в команде javac.
      Сейчас попробуйте скопировать, либо в ручную наберите. Всё у вас будет "ок" 🙂

    • https://www.blogger.com/profile/00905299943174827798 Сергей

      как обновить яву,/? какой командой, а то у меня в хроме не установилась, забыл в настройках старую отключить, хотя удалил, установилась оракл только в файрфоксе

    • https://www.blogger.com/profile/00865845114198842309 Администратор

      В хроме пропишите в строке адреса

      about:plugins

      Откроется страничка с плагинами, задействуйте там Java

    • https://www.blogger.com/profile/03825520993477368138 leo

      этот пункт нужно добавить в текст статьи,
      "перейдите в Chrome браузере по адресу chrome://plugins/ или about:plugins и отметьте checkbox "разрешать всегда" для
      Java(TM) — Версия: 10.40.2
      Next Generation Java Plug-in 10.40.2 for Mozilla browsers "

    • Анонимный

      СПАСИБО!!!

  • https://www.blogger.com/profile/07557910311412620182 Даниил Терентьев

    Спасибо

  • https://www.blogger.com/profile/09415260464411467936 Толстых Владислав

    Подскажите как быть с Java ME на х64?

    • https://www.blogger.com/profile/00865845114198842309 Администратор

      Java me sdk?

    • https://www.blogger.com/profile/09415260464411467936 Толстых Владислав

      Так точно, единственное что мешает полностью перейти на линукс.
      Читал в инете мануалы по настройке эмулятора — занятие настолько геморойное, что отпадает охота.

    • https://www.blogger.com/profile/00865845114198842309 Администратор

      Не совсем понял, что вы имели в виду под эмулятором и зачем он вам нужен.

      На сайте http://www.oracle.com/technetwork/java/javame/javamobile/download/sdk/index.html

      Можно скачать для eclipse плагин.

    • https://www.blogger.com/profile/09415260464411467936 Толстых Владислав

      Под эмулятором имеется ввиду среда(ME), для запуска java-приложений.
      Зачем он нужен — не совсем понятный вопрос, очевидно, для того чтобы запускать файлы *.jar
      По поводу eclipse — я им не пользуюсь, установить плагин NetBean (по той же ссылке) в принципе, получается, но ожидаемого эффекта это не приносит. NetBean всё равно требует установленную платформу wtk.
      Повторюсь — это всё головняк именно для x64. Так как нет версии wtk для этих процов под линукс.

  • Анонимный

    спасибо .

  • Анонимный

    >sudo apt-get purge openjdk*
    предлагает удалить эклипс

    • https://www.blogger.com/profile/00865845114198842309 Администратор

      Правильно сносите эклипс. Не стоит ставить эклипс из репов Ubuntu.
      Если хотите eclipse оставить, то замените purge на remove.

      Скачайте Eclipse с официального сайта, распакуйте и запускайте двойным нажатием.

  • https://www.blogger.com/profile/06574886564057180661 azholy

    Не работает апплет на сайте банка, хотя все установилось.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Не все банки работают в Linux. Это одна из тех проблем, когда не возможно отказаться от Windows. Назовите банк хоть и каким образом не работает?

    • Анонимный

      Авангард -правда ему нужна эта оракловская джава

  • Анонимный

    Спасибо большое за статью !!! Все супер… а то я уже запарился с этой java'ой

  • https://www.blogger.com/profile/15247232693837956465 olaf fander

    ne sozdaiot sudo mkdir /opt/google/chrome/plugins pishet net takogo faila

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Хром установлен?

    • https://www.blogger.com/profile/15247232693837956465 olaf fander

      da chromium

  • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

    sudo mkdir /opt/google/chrome/

    sudo mkdir /opt/google/chrome/plugins

    Так попробуйте.

  • https://www.blogger.com/profile/15247232693837956465 olaf fander

    пишет что нет такого файла или каталога

  • https://www.blogger.com/profile/15247232693837956465 olaf fander

    проблема решена установкой chrome из офиц. сайта

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Хромиум — это немного не то :). У меня на сайте есть статья про установку хрома. Можно подключить репозиторий и скачать самую последнюю версию. К тому же обновляться будет версия Хрома.

  • Анонимный

    Как сделать так, чтобы Oracle Java 7 заработала в chromium?

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      /opt/google/chrome/plugins/libnpjp2.so вот этот параметр заменить на папку chromium

    • Анонимный

      т.е так /opt/google/chromium/plugins/libnpjp2.so ?

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      В /opt/
      найти папку chromium/ и там уже создать папку plugins/, если её нет конечно. И смело выполнять команду.
      Но я с хромиумом дело не имел, не знаю. В принципе должно получится.

    • Анонимный

      Спасибо за ответ. Но таки поиском от корня вообще нигде не обнаружилась папка "chromium".
      Система Xubuntu-13.04
      $ uname -a
      Linux Extensa-5220 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:18 UTC 2013 i686 i686 i686 GNU/Linux

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Я хромиум не устанавливал никогда, не знаю, просто предположил :). Установите Хром 🙂 и все будет работать.

  • Анонимный

    А как удалить плагин для гугл?

    • Анонимный

      Тот который по вашему описанию встраиваем в гугл хром? У брат на 12.04.2 ява работает и так?

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      sudo rm /opt/google/chrome/plugins/libnpjp2.so

    • Анонимный

      Спасибо!

  • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

    как обновить ява в хромиум ? запарился уже….

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      32 битная:
      sudo ln -s /path/to/java/jre/lib/i386/libnpjp2.so /usr/lib/chromium-browser/plugins/libnpjp2.so

      64 битная
      sudo ln -s /path/to/java/jre/lib/amd64/libnpjp2.so /usr/lib/chromium-browser/plugins/libnpjp2.so

    • https://www.blogger.com/profile/03825520993477368138 leo

      спасибо

  • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

    не удалось создать символьную ссылку «/usr/lib/chromium-browser/plugins/libnpjp2.so»: Файл существует

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      а если создать
      sudo mkdir /usr/lib/chromium-browser/plugins/

    • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

      невозможно создать каталог «/usr/lib/chromium-browser/plugins/»: Файл существует
      у меня теперь хром стоит

    • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

      …и такая же фигня

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Если существует, то
      sudo rm /usr/lib/chromium-browser/plugins/libnpjp2.so

      и создать
      sudo ln -s /path/to/java/jre/lib/i386/libnpjp2.so /usr/lib/chromium-browser/plugins/libnpjp2.so

    • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

      в общем не могу поиграть в игру вот тут http://grimmag.drakensang.com/game?quickLogin=true но вместо игры там в рамке черный цвет и ничего не происходит ((

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Почитал на их форуме, вроде как только надо playonlinux ставить и уже в нем через жаву играть. Задайте вопрос техподдержки их. Там в самом низу. Это будет более действенно.

  • https://www.blogger.com/profile/08080867453679317086 Анатолий Попов

    спс попробую через playonlinux …

  • Анонимный

    А почему когда я захожу на сайт http://www.javatester.org/version.html в Google Chrome, то он мне пишет что "Плагин Java(TM) заблакирован, так как он устарел"? И даётся два варианта "Запустить один раз" или "Обновить поключаемый модуль…" Если нажать обнровить, то переходит на сайт Java… Хотя в лисе Java 7 работает

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Да это фишка у хрома такая :). У меня 6ая жава стоит и все апплеты работают, хотя выдает, что плагин устарел. Просто нажимайте разрешить и всё, не обращая внимание на это сообщение.

  • https://www.blogger.com/profile/03825520993477368138 leo

    Огромное спасибо, очень качественный гайд побольше бы таких.
    И добавьте пожалуйста в тело статьи инструкцию по включению джава на Хроме и Хромиуме через about:plugins, я выше писал подробный коментарий.
    что бы у народа не возникало вопросов типа "Почему хром всегда спрашивает меня о запуске джава?"

  • https://www.blogger.com/profile/10505892998190196921 Павел Кривенцов

    у меня стоит кубунту 13.04 х64, при установке oracle-java7-installer ставится java7 x64, а мне нужна х32. Что нужно сделать, чтобы установилась java x32 ?

  • Анонимный

    Вечер добры! Подскажите пожалуйста, как установить плагин Oracle Java в Chromium.

  • https://www.blogger.com/profile/14627438160830440118 Дмитрий Степанищев

    Спасибо! Все работает! Java7

  • Анонимный

    Добрый день! Помогите пжт. не могу совместить Java с браузерами. После установки все так и есть:java version "1.7.0_25"
    Java(TM) SE Runtime Environment (build 1.7.0_25-b15)
    Java HotSpot(TM) Server VM (build 23.25-b01, mixed mode), но после проверки через сайт пишет нет Java и предлогает установку с сайта Java. Пробовала удалить выполняю в терминале команду:
    sudo apt-get remove oracle-java7-installer, выдает [sudo] password for bm2 и не могу ввести символы?
    Подскажите как быть?

  • Анонимный

    В терминале при вводе пароля символы не отображаются, вводите и нажимайте Enter

    • Анонимный

      Чувак, ты лучший!!!

      Гениальное решение же, не отображать….

  • https://www.blogger.com/profile/09398894073607497201 Томас Фаер

    Всё работает

  • Анонимный

    Спасибо

  • Анонимный

    как настроить политику безопасности?

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Чтобы запустить приложение с дефолтными настройками безопасности, которые в
      /usr/lib/jvm/java-6-oracle/jre/lib/security/java.policy
      нужно запускать приложение:
      java -Djava.security.manager Main

      с кастомными:
      java -Djava.security.manager -Djava.security.policy==security.policy Main

  • https://www.blogger.com/profile/13475975446558730884 Alexei Strukov

    раньше все хорошо ставилось, сегодня при установке java 7 выдал вот такую концовку, что делать?
    Подключение к download.oracle.com (download.oracle.com)|188.43.72.147|:80… соединение установлено.
    HTTP-запрос отправлен. Ожидание ответа… 200 OK
    Длина: 5307 (5,2K) [text/html]
    Сохранение в: «jdk-7u51-linux-i586.tar.gz»

    0K 100% 1,98M=0,003s

    2014-03-15 20:59:21 (1,98 MB/s) — «jdk-7u51-linux-i586.tar.gz» сохранён [5307/5307]

    Download done.
    Removing outdated cached downloads…
    sha256sum mismatch jdk-7u51-linux-i586.tar.gz
    Oracle JDK 7 is NOT installed.
    dpkg: не удалось обработать параметр oracle-java7-installer (—configure):
    подпроцесс установлен сценарий post-installation возвратил код ошибки 1
    Отчёты apport не записаны, так достигнут MaxReports
    Настраивается пакет gsfonts-x11 (0.22) …
    При обработке следующих пакетов произошли ошибки:
    oracle-java7-installer
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    • Konstantin

      Такая же беда

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Это ошибка в данном репозитории. Напишу статью о том, как в ручную скачать java с оракл и установить. Чтобы можно было воспользоваться другим способом по установке, в случае проблем с репозиторием

  • Игор Лихачев

    Спасибо большое за статью!

  • https://www.blogger.com/profile/08892988425722942929 Виктор Петрищев

    Установил java 8
    root@xxx:/usr/lib/jvm/java-8-oracle/lib/amd64# javac -version
    javac 1.8.0_05
    root@xxx:/usr/lib/jvm/java-8-oracle/lib/amd64# java -version
    java version "1.8.0_05"
    сделал символьную ссылку на -> /usr/lib/jvm/java-8-oracle/jre/lib/amd64/libnpjp2.so в папке /opt/google/chrome/plugins
    в итоге при перезапуске в плагинах ничего нового не появляется. Подскажите где ошибся?

  • https://www.blogger.com/profile/08892988425722942929 Виктор Петрищев

    Разобрался сам.. Точнее частично разобрался… Данный метод на новом хроме не работает.
    Вот новость с opennet
    В соответствии с ранее представленным планом, компания Google с января блокирует возможность использования плагинов NPAPI (Netscape Plug-in API) в Chrome, за исключением плагинов, входящих в белый список (Silverlight, Unity, Google Earth, Java, Google Talk и Facebook Video). В конце года поддержка NPAPI будет прекращена полностью. В связи с переводом Linux-версии Chrome на новый графический стек Aura, поддержка NPAPI в Linux будет прекращена значительно раньше, чем в версиях для Windows и OS X. В частности, код NPAPI будет удалён уже в Chrome 34 для Linux, выпуск которого запланирован на начало апреля.

    У меня как раз в ubuntu 14.04 chromim и chrom версии 34.xxx…

  • Анонимный

    download failed
    Oracle JDK 7 is NOT installed.
    dpkg: error processing oracle-java7-installer (—configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    oracle-java7-installer
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Вот такая вот ошибка..

  • Анонимный

    при тестировании плагина для браузеров выдаёт такую ошибку — " Application Blocked by Security Settings" и т.д. Как настроить параметры безопасности java ?

  • Анонимный

    Подскажите, как настроить работу java в chrome версии 36

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      В статье указано красным жирным шрифтом: Chrome начиная с версии 34 выпилил NPAPI плагины, поэтому остается пользоваться только Firefox.

      В статье про установку гугл хром:
      http://www.linuxrussia.com/2014/06/google-chrome-ubuntu.html
      я описал как установить старые версии хрома.

  • Анонимный

    Спасибо! Всё ясно и понятно. Теперь Webmin на выдает ошибку при включении "Менеджера Файлов".

  • https://www.blogger.com/profile/08604690746858518843 Evgen Gen

    Хочу добавить.
    Что Java глюкавый продукт особенно под Linux системы.
    И на практике убедился, что лучше ставить не саму java машину а IcedTea http://so4net.com/index.php/ru/blog/85-java-plugin-chrome-debian

  • Анонимный

    Спаибо!

  • Анонимный

    Спасибо за статью! Все уставилось.

  • https://www.blogger.com/profile/09396613624400770497 Dmitry Plisiuk

    Когда пытаюсь добавать репозиторий (через команду: sudo add-apt-repository ppa:webupd8team/java), мне пишет:
    Cannot add PPA: 'ppa:webupd8team/java'.
    Please check that the PPA name or format is correct.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      sudo apt-get install —reinstall ca-certificates

      После этого должно работать.

    • Анонимный

      У меня та же проблемма. Не помогает… 14,04

  • Анонимный

    Большое человеческое СПАСИБО, все работает!!!

  • Анонимный

    Подскажите пожалуйста, если у меня уже установлена java и все ок работает, но вышло обновление и приватбанк просит обновить, как это сделать командой через терминал. Спасибо

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Если выйдет новая "подверсия" жавы, к примеру 1.7.51 обновится до 17.52., то следовательно во время обновления системы выкачается новая версия и установится.
      По подробнее, какая сейчас версия жавы установлена? Что именно пишет Приватбанк, в смысле какую ему нужно теперь?

    • Анонимный

      В привате появляется окошко и комментарий банка, что в связи с тем, что с 15 октября вышло обновление java у некоторых пользователей может некорректно работать приват бизнес, в связи с этим просим обновиться до последней версии и перебрасывает на сайт javы.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      скачайте с офф сайта последнюю версию java, и просто распакуйте в тот каталог, где сейчас java.

    • Анонимный

      ок, спс

  • Анонимный

    версия:
    java version "1.8.0_20"
    Java(TM) SE Runtime Environment (build 1.8.0_20-b26)
    Java HotSpot(TM) Client VM (build 25.20-b23, mixed mode)

  • Анонимный

    пытаюсь удалить

    sudo apt-get remove oracle-java6-installer
    E: Не удалось получить доступ к файлу блокировки /var/lib/dpkg/lock — open (11: Ресурс временно недоступен)
    E: Не удалось выполнить блокировку управляющего каталога (/var/lib/dpkg/); он уже используется другим процессом?

    не выходит что делать как исправить

  • Анонимный

    ответ найден был запущен synaptic

  • Анонимный

    какой синаптик

  • Анонимный

    если нету синаптика

  • Анонимный

    Установил, версии совпадают, лис пишет что плагин подхватил, при попытке проверить версию на javatesters.org пишет Error Как быть?

  • https://www.blogger.com/profile/09992582356205714667 Waldemar Peters

    Интересная статья, но дело в том, что лучше (это моё мнение) устанавливать открытую JAVA — OpenJava6. У меня с новой JAVA — JAVA8 i2p не работало, установил OpenJava6 и всё стало работать нормально. Так же много информации, что в новых версиях джавы море уязвимостей.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Не лучше. Лучше устанавливать java, которую Oracle делает. Банковские программы и много других вещей, которые либо не заработают на открытой жаве, либо будут тормозить не по детски. Под OpenJdk только энтузиасты что-либо пишут. Вы можете иметь openjdk, никто вам не запретит, запуская ей одну или две программы написанной энтузиастами. И также поставить "правильную" жаву для запуска всего остального.
      Но не надо вводить людей в заблуждение и не надо делать ложные выводы.

  • https://www.blogger.com/profile/04788882661556829807 Softspot

    Удачи вам!
    ReferatMD

  • http://adri-an.livejournal.com/ adri-an

    А что делать с OpenJDK, который установлен по умолчанию (скажем в Linux Mint) ?
    Его нужно оставить или удалить или без разницы?

    Подскажите, пожалуйста. И спасибо за хороший сайт по Линуксу!

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      можно оставить, ничего страшного.

  • https://www.blogger.com/profile/15338598299205471337 Unknown

    после проделанных выше описанных операций ява не работает, на сайте для проверки выдает ошибку

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      это жава плагин не работает, так как разработчики браузеров от него отказываются. жава апплеты это очень старая технология и её уже почти нигде не используют 🙂